#include<iostream>
using namespace std;
int main(){
int a,x,y,m=0,z=1,u=1;
cin>>a;
cin>>x>>y;

for(int i=0;i<a-2;i++){
 if(x<y){
        m=m+(u+1)*2;
        u=0;
    z++;
 }
 if(x>y){
        m=m+(z)*2;
        z=0;
    u++;
 }
 x=y;
 cin>>y;
}
cout<<m;
}